Package org.apache.activemq.artemis.jms.persistence

## Interface JMSStorageManager

- All Superinterfaces:
    `org.apache.activemq.artemis.core.server.ActiveMQComponent`
  All Known Implementing Classes:
    `JMSJournalStorageManagerImpl`, `NullJMSStorageManagerImpl`

      public interface JMSStorageManager
      extends org.apache.activemq.artemis.core.server.ActiveMQComponent

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addBindings​(PersistedType type, java.lang.String name, java.lang.String... address)` |
    `void` | `deleteBindings​(PersistedType type, java.lang.String name)` |
    `void` | `deleteBindings​(PersistedType type, java.lang.String name, java.lang.String address)` |
    `void` | `deleteConnectionFactory​(java.lang.String connectionFactory)` |
    `void` | `deleteDestination​(PersistedType type, java.lang.String name)` |
    `void` | `load()` |
    `java.util.List<PersistedConnectionFactory>` | `recoverConnectionFactories()` |
    `java.util.List<PersistedDestination>` | `recoverDestinations()` |
    `java.util.List<PersistedBindings>` | `recoverPersistedBindings()` |
    `void` | `storeConnectionFactory​(PersistedConnectionFactory connectionFactory)` |
    `void` | `storeDestination​(PersistedDestination destination)` |

    - ### Methods inherited from interface org.apache.activemq.artemis.core.server.ActiveMQComponent

      `asyncStop, isStarted, start, stop`

- - ### Method Detail

    - #### load

          void load()
             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### storeDestination

          void storeDestination​(PersistedDestination destination)
                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### deleteDestination

          void deleteDestination​(PersistedType type,
                                 java.lang.String name)
                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### recoverDestinations

          java.util.List<PersistedDestination> recoverDestinations()

    - #### deleteConnectionFactory

          void deleteConnectionFactory​(java.lang.String connectionFactory)
                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### storeConnectionFactory

          void storeConnectionFactory​(PersistedConnectionFactory connectionFactory)
                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### recoverConnectionFactories

          java.util.List<PersistedConnectionFactory> recoverConnectionFactories()

    - #### addBindings

          void addBindings​(PersistedType type,
                           java.lang.String name,
                           java.lang.String... address)
                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### recoverPersistedBindings

          java.util.List<PersistedBindings> recoverPersistedBindings()
                                                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### deleteBindings

          void deleteBindings​(PersistedType type,
                              java.lang.String name,
                              java.lang.String address)
                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### deleteBindings

          void deleteBindings​(PersistedType type,
                              java.lang.String name)
                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`